
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

set(TAG_PARSER_HAS_SHARED_LIB ON)
if(TAG_PARSER_HAS_SHARED_LIB)
    set(TAG_PARSER_SHARED_LIB "tagparser")
    set(TAG_PARSER_SHARED_LIB_DEPENDS c++utilities)
    set(TAG_PARSER_SHARED_LIB_COMPILE_DEFINITIONS )
    set(PC_PKG_SHARED_tagparser "tagparser")
    set(TAG_PARSER_LIB "${TAG_PARSER_SHARED_LIB}")
    if(NOT TARGET "${TAG_PARSER_SHARED_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/tagparserSharedTargets.cmake")
    endif()
else()
    set(TAG_PARSER_LIB "${TAG_PARSER_STATIC_LIB}")
endif()

set(TAG_PARSER_HAS_STATIC_LIB ON)
if(TAG_PARSER_HAS_STATIC_LIB)
    set(TAG_PARSER_STATIC_LIB "tagparser_static")
    set(TAG_PARSER_STATIC_LIB_DEPENDS c++utilities_static general;general;/usr/i686-w64-mingw32/lib/libz.a)
    set(TAG_PARSER_STATIC_LIB_COMPILE_DEFINITIONS TAG_PARSER_STATIC)
    set(PC_PKG_STATIC_tagparser_static "tagparser_static")
    if(NOT TARGET "${TAG_PARSER_STATIC_LIB}")
        include("${CMAKE_CURRENT_LIST_DIR}/tagparserStaticTargets.cmake")
    endif()
endif()

set(TAG_PARSER_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set(TAG_PARSER_BIN_DIR "${PACKAGE_PREFIX_DIR}/bin")
set(TAG_PARSER_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set(TAG_PARSER_MODULE_DIRS "${PACKAGE_PREFIX_DIR}/share/tagparser/cmake/modules")
set(TAG_PARSER_CONFIG_DIRS "${PACKAGE_PREFIX_DIR}/share/tagparser/cmake")
set(TAG_PARSER_PRIVATE_QT_MODULES "")
set(TAG_PARSER_PRIVATE_KF_MODULES "")
set(TAG_PARSER_PUBLIC_QT_MODULES "")
set(TAG_PARSER_PUBLIC_KF_MODULES "")
set(TAG_PARSER_HAS_QT_TRANSLATION_FILES )
set(TAG_PARSER_QT_RESOURCES )

macro(use_TAG_PARSER)
    # make CMake modules of the project available
    list(APPEND CMAKE_MODULE_PATH ${TAG_PARSER_MODULE_DIRS})
    # add include and link directories
    include_directories(BEFORE SYSTEM ${TAG_PARSER_INCLUDE_DIRS})
    link_directories(${TAG_PARSER_LIB_DIR})
    # link against library
    include(3rdParty)
    if(NOT ARGV0)
        set(TAG_PARSER_LINKAGE AUTO_LINKAGE)
    else()
        set(TAG_PARSER_LINKAGE "${ARG0}")
    endif()
    link_against_library(TAG_PARSER "${TAG_PARSER_LINKAGE}" REQUIRED)
    # add required Qt and KF modules
    list(APPEND IMPORTED_QT_MODULES ${TAG_PARSER_PUBLIC_QT_MODULES})
    list(APPEND IMPORTED_KF_MODULES ${TAG_PARSER_PUBLIC_KF_MODULES})
    # add required translations to APP_SPECIFIC_QT_TRANSLATION_FILES_ARRAY
    if(TAG_PARSER_HAS_QT_TRANSLATION_FILES)
        list(APPEND APP_SPECIFIC_QT_TRANSLATION_FILES tagparser)
    endif()
    # ensure Qt resources of static libs are loaded
    if(USE_STATIC_TAG_PARSER AND TAG_PARSER_QT_RESOURCES)
        message(STATUS "Adding ${TAG_PARSER_QT_RESOURCES} to LIBRARIES_QT_RESOURCES for ${META_PROJECT_NAME}.")
        list(APPEND LIBRARIES_QT_RESOURCES ${TAG_PARSER_QT_RESOURCES})
    endif()
endmacro()
